SeekableIterator
Exceptions
SeekableIterator
PHP Manual

# SeekableIterator::seek

(PHP 5 >= 5.1.0)

SeekableIterator::seek — Seeks to a position

### Description

abstract public void SeekableIterator::seek ( int `$position` )

Seeks to a given position in the iterator.

### Parameters

`position`

  The position to seek to.

### Return Values

No value is returned.

### Errors/Exceptions

Implementations should throw an OutOfBoundsException if the `position` is not seekable.

### Examples

Example #1 SeekableIterator::seek() example

Seek to the item at position 3 in the iterator (ArrayIterator implements SeekableIterator).

`<?php
$array = array("apple", "banana", "cherry", "damson", "elderberry");
$iterator = new ArrayIterator($array);
$iterator->seek(3);
echo $iterator->current();
?>`

The above example will output something similar to:

    damson

### See Also

- SeekableIterator
- Iterator

SeekableIterator
Exceptions
SeekableIterator
PHP Manual